[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#155939: The dependencies of libc6 must handle packages that break without db1

reopen 155939

>From a user's point of view the current situation with the removal of db1
from libc6 is unacceptable.

Consider e.g. once sarge is stable the following scenario:

A user wants to upgrade woody -> sarge and starts with a
  apt-get install dpkg apt
and the dependencies pull in the libc6 package from sarge.

Now several applications on the system are broken (e.g. a running apache).

I don't see a way how this could be handled outside the dependencies of
libc6. One possible solution is to create a libdb1g package in oldlibs and
let the libc6 in sarge depend on this package (the dependency can be
dropped after sarge is released).



You only think this is a free country. Like the US the UK spends a lot of
time explaining its a free country because its a police state.
								Alan Cox

Reply to: